package com.example.servlet.Login;

import com.example.exception.UserNotFoundException;
import com.example.pojo.Users;
import com.example.service.ServiceImpl.Service_UserLoginImplClass;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import java.io.IOException;

@WebServlet("/UserLogin.do")
public class UserLoginServlet extends HttpServlet {
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws IOException, ServletException {
        this.doPost(req, resp);
    }

    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws IOException, ServletException {

        /**
         * 获取来自前端登录的视图页面
         */
        String username = req.getParameter("username");
        String userpwd = req.getParameter("userpwd");
        try {

            /**
             * 将拿到的前端数据，调用service层的函数进行从数据库中查找
             */

            Service_UserLoginImplClass service_userLoginImplClass = new Service_UserLoginImplClass();
            Users users = service_userLoginImplClass.ServiceUserLoginClass(username, userpwd);

            /**
             * 建立前端与后端的会话状态
             */
            HttpSession session = req.getSession();
            session.setAttribute("users", users);
            resp.sendRedirect("main.jsp");

        } catch (UserNotFoundException e) {
            req.setAttribute("msg", e.getMessage());
            req.getRequestDispatcher("UserLogin.jsp").forward(req, resp);
        } catch (Exception e) {
            resp.sendRedirect("error.jsp");
        }
    }
}
