package com.example.utils;

import java.sql.*;
import java.util.ResourceBundle;

public class JdbcUtils {

    private static String Driver;
    private static String URL;
    private static String JDBC_username;
    private static String JDBC_userpwd;
    private static Connection connection;

    static {
        ResourceBundle resourceBundle = ResourceBundle.getBundle("db");
        Driver = resourceBundle.getString("jdbc.driver");
        URL = resourceBundle.getString("jdbc.url");
        JDBC_username = resourceBundle.getString("jdbc.username");
        JDBC_userpwd = resourceBundle.getString("jdbc.password");
        try {
            /**
             * 注册驱动
             */
            Class.forName(Driver);
        } catch (ClassNotFoundException e) {
            e.printStackTrace();
        }
    }

    /**
     * 获取连接
     */

    public static Connection JDBC_Connection() {

        try {
            connection = DriverManager.getConnection(URL,JDBC_username,JDBC_userpwd);
        } catch (SQLException e) {
            e.printStackTrace();
        }
        return connection;
    }

    /**
     *
     * 资源释放
     */
    public static void JDBC_Release_Resources(Connection connection) {
        if (connection != null) {
            try {
                connection.close();
            } catch (SQLException e) {
                e.printStackTrace();
            }
        }
    }
}
